{$IFNDEF CLR}

{$I PgDac.inc}

unit PgStoredProcEditor;
{$ENDIF}
interface
uses
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
  Graphics, Controls, Forms, Dialogs, ComCtrls, StdCtrls, ExtCtrls, Buttons,
{$IFDEF FPC}
  LResources,
{$ENDIF}
  SysUtils, DB, Classes,
  DBAccess, DAStoredProcEditor, CRFrame, DADataTypeMapFrame;

type
  TPgStoredProcEditorForm = class(TDAStoredProcEditorForm)
  protected
    procedure DoInit; override;

  public
    property StoredProc;
  end;

implementation

{$IFNDEF FPC}
{$R PgStoredProcEditor.dfm}
{$ELSE}
{$R *.lfm}
{$ENDIF}

uses
  DASQLFrame, DAPAramsFrame, DAMacrosFrame, DAUpdateSQLFrame, DASQLGeneratorFrame,
  DASPCallFrame, PgParamsFrame, PgSPCallFrame;

{ TPgStoredProcEditorForm }

procedure TPgStoredProcEditorForm.DoInit;
begin
  FSQLFrame := AddTab(TPgSPCallFrame, shSQL) as TDASQLFrame;
  FParamsFrame := AddTab(TPgParamsFrame, shParameters) as TDAParamsFrame;
  FMacrosFrame := AddTab(TDAMacrosFrame, shMacros) as TDAMacrosFrame;
  FSPCallFrame := AddTab(TPgSPCallFrame, shGeneratorSPC) as TDASPCallFrame;
  FUpdateSQLFrame := AddTab(TDAUpdateSQLFrame, shEditSQL) as TDAUpdateSQLFrame;
  FSQLGeneratorFrame := AddTab(TDASQLGeneratorFrame, shGenerator) as TDASQLGeneratorFrame;
  FDataTypeMapFrame := AddTab(GetDataTypeMapFrameClass, shDataTypeMap) as TDADataTypeMapFrame;
  FDataTypeMapFrame.FieldNameListAllowed := False;
  shGenerator.TabVisible := False;

  inherited;
end;

end.
