
//////////////////////////////////////////////////
//  PostgreSQL Data Access Components
//  Copyright  2008-2024 Devart. All right reserved.
//////////////////////////////////////////////////

{$IFNDEF CLR}

{$I PgDac.inc}

unit PgTableSQLFrame;
{$ENDIF}

interface

uses
{$IFDEF MSWINDOWS}
  Windows, Messages,
{$ENDIF}
  Graphics, Controls, Forms, Dialogs, StdCtrls, ExtCtrls, Buttons, ComCtrls,
  Classes, SysUtils,
{$IFDEF FPC}
  LResources,
{$ENDIF}
  DBAccess, CRFrame, CRTabEditor, CREditor, DATableSQLFrame;

type
  TPgTableSQLFrame = class(TDATableSQLFrame)
    cbAllTables: TCheckBox;
    procedure cbAllTablesClick(Sender: TObject);
  protected
  end;

implementation

{$IFNDEF FPC}
{$R PgTableSQLFrame.dfm}
{$ELSE}
{$R *.lfm}
{$ENDIF}

{ TPgTableSQLFrame }

procedure TPgTableSQLFrame.cbAllTablesClick(Sender: TObject);
begin
  FListGot := False;
  FAllTables := cbAllTables.Checked;
end;

end.

