program PgDacDemo;

{$MODE Delphi}

{$I Base\DacDemo.inc}

uses
{$IFDEF UNIX}
  cthreads,
{$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms,
  CategoryFrame in 'CategoryFrame.pas' {CategoryFrame},
  DemoBase in 'DemoBase.pas',
  DemoForm in 'Base\DemoForm.pas' {DemoForm},
  DemoFrame in 'Base\DemoFrame.pas' {DemoFrame},
  HtmlConsts in 'Base\HtmlConsts.pas',
  VTable in 'VirtualTable\VTable.pas',
  PgDacDemoForm in 'Base\PgDacDemoForm.pas' {PgDacForm},
  PgDacAbout in 'Base\PgDacAbout.pas' {PgDacAboutForm},
  CachedUpdates in 'CachedUpdates\CachedUpdates.pas' {CachedUpdates},
  UpdateAction in 'CachedUpdates\UpdateAction.pas' {UpdateAction},
  ConnectDialog in 'ConnectDialog\ConnectDialog.pas' {ConnectDialog},
  MasterDetail in 'MasterDetail\MasterDetail.pas' {MasterDetail},
  Sql in 'Sql\Sql.pas' {SqlFrame},
  StoredProc in 'StoredProc\StoredProc.pas' {StoredProcFrame},
  Table in 'Table\Table.pas' {TableFrame},
  Text in 'Text\Text.pas' {TextFrame},
  UpdateSQL in 'UpdateSQL\UpdateSQL.pas' {UpdateSQLFrame},
  Query in 'Query\Query.pas' {QueryFrame: TFrame},
  FilterAndIndex in 'FilterAndIndex\FilterAndIndex.pas',
{$IFNDEF STD}  
  Dump in 'Dump\Dump.pas' {DumpForm},
  Fetch in 'Loader\Fetch.pas' {FetchForm},
  Loader in 'Loader\Loader.pas', {LoaderFrame}
{$ENDIF}
  InheritedConnectForm in 'ConnectDialog\InheritedConnectForm.pas' {fmInheritedConnect},
  MyConnectForm in 'ConnectDialog\MyConnectForm.pas' {fmMyConnect},
  Lock in 'Lock\Lock.pas' {LockFrame}, pgdac10;

{$R *.res}

begin
  Application.Initialize;
  Application.CreateForm(TPgDacForm, PgDacForm);
  Application.CreateForm(TPgDacAboutForm, PgDacAboutForm);
  Application.Run;
end.
